Draft Réseau circulaire

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft CircularArray and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante : Link Array Draft LinkArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau circulaire

Emplacement du menu
Modification → Array tools → Circular array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau orthogonal, Draft Réseau polaire, Draft Chemin pour série de copies, Draft Réseau lié selon une courbe, Draft Matrice de points, Draft Clone


Description

L'outil Draft CircularArray.svg Draft Réseau circulaire crée un tableau à partir d'un objet sélectionné en plaçant les copies le long de circonférences concentriques. Cela revient à utiliser Draft PolarArray.svg Draft Réseau polaire avec un angle polaire de 360 degrés et à créer plusieurs de ces réseaux concentriques.

Cet outil peut être utilisé sur n'importe quel objet possédant une Part TopoShape, c'est-à-dire des formes 2D créées avec l'atelier Draft mais également des solides 3D créés avec d'autres ateliers, par exemple, Part, PartDesign ou Arch. Il peut également créer des App Links au lieu de simples copies.

Draft CircularArray example.png

Un réseau circulaire d'un objet.


Utilisation

  1. Sélectionnez l'objet à partir duquel vous souhaitez créer un réseau.
  2. Appuyez sur le bouton Draft CircularArray.svg Réseau circulaire. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un avant de continuer.
  3. Le Panneau des tâches est lancé où vous pouvez sélectionner la distance radiale, la distance tangentielle, le nombre de couches circulaires, le paramètre de symétrie et le centre de l'axe de rotation.
  4. Vous pouvez cliquer sur la vue 3D pour définir simultanément la position du centre de rotation et terminer la commande. Sinon, appuyez simplement sur Entrée ou sur le bouton OK pour terminer l'opération.

Remarques

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • Chaque élément du réseau est un clone exact de l'objet d'origine mais l'ensemble du réseau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet "Réseau" paramétrique que celui créé avec le Draft OrthoArray.svg Réseau orthogonal et Draft PolarArray.svg Réseau polaire. De ce fait, le réseau peut être converti en orthogonal, polaire ou circulaire en modifiant sa propriété DonnéesArray Type.

Options

Ce sont les options affichées dans Panneau des tâches

  • Radial distance: distance entre le centre du réseau et la couche circulaire suivante, et entre les couches circulaires suivantes.
  • Tangential distance: distance d'un élément du réseau à l'élément suivant dans la même couche circulaire. Cette distance détermine le nombre d'éléments qui seront dans le réseau; si le nombre est petit, il y aura de nombreuses copies serrées; si le nombre est important, il n'y aura que quelques exemplaires. Cette distance ne peut pas être nulle.
  • Number of circular layers: l'objet d'origine est considéré comme un calque à lui tout seul. Il doit y avoir au minimum 2, au maximum 99.
  • Symmetry: détermine comment les objets seront distribués dans le réseau.
Avec la symétrie 1, le premier élément doit être tourné d'un cercle complet pour atteindre la même position, avec 2 une rotation d'un demi-cercle (180°) est suffisante, avec 3 une rotation d'un tiers d'un cercle (120°) est suffisante . Cela signifie que le paramètre de symétrie détermine une rotation de 360​​°/n. Pour de grandes valeurs de symétrie, le nombre d'objets dans les couches circulaires diminue, ce qui finit par ne placer aucun objet dans le cercle intérieur. Dans la plupart des cas, vous voulez un nombre compris entre 1 et 6.
  • Center of rotation: coordonnées par lesquelles passe l'axe de rotation.
  • Reset point: réinitialise le centre de rotation à l'origine (0, 0, 0).
  • Fuse: si cochée, les objets résultants dans le réseau fusionneront s'ils se touchent. Cela ne fonctionne que si Link array n'est pas coché.
  • Link array: si coché, le réseau résultant sera un "Link array". Ce réseau utilise en interne des objets App Link, il est donc plus efficace lors du traitement de nombreuses copies de formes complexes. Cependant, dans ce cas, les objets ne peuvent pas être fusionnés ensemble.
  • Appuyez sur Echap ou sur le bouton Annuler pour abandonner la commande en cours.

Remarque: si un Link array est créé, cet objet ne peut pas être converti en réseau standard. De même, un réseau standard ne peut pas être converti en Link array. Par conséquent, vous devez choisir le type de réseau que vous souhaitez au moment de la création.

Propriétés

Un objet Draft Réseau circulaire en interne est le même objet produit avec l'outil Draft OrthoArray.svg Draft Réseau orthogonal. Il est basé sur Part Feature (classe Part::Feature) et partage ainsi toutes les propriétés de cette dernière.

Voir l'outil Draft OrthoArray.svg Draft Réseau orthogonal pour la description complète des propriétés. Toutes les propriétés s'appliquent, à l'exception de celles des groupes Orthogonal array et Polar array.

  • Pour les réseaux circulaires, DonnéesCenter (VectorDistance) spécifie un décalage par rapport à DonnéesPlacement de l'objet DonnéesBase. Autrement dit, pour conserver le tableau circulaire centré sur l'objet DonnéesBase, conservez DonnéesCenter à la valeur par défaut (0, 0, 0).

Script

Voir aussi: Draft API et FreeCAD sripts de base.

L'outil Réseau (Array) peut être utilisé dans une macro et dans la console Python avec la fonction suivante:

array = make_circular_array(base_object,
                            r_distance=100, tan_distance=50,
                            number=3, symmetry=1,
                            axis=App.Vector(0, 0, 1), center=App.Vector(0, 0, 0),
                            use_link=True):
  • Cela crée un réseau "Array" à partir de base_objectj.
    • Les valeurs de r_distance et tan_distance correspondent aux distances radiales et tangentielles des éléments du réseau.
    • La valeur de number est le nombre de couches circulaires dans le motif circulaire; l'objet d'origine compte comme premier calque.
    • La valeur de symmetry est un entier qui participe à certains calculs qui affectent la façon dont les copies sont réparties autour des circonférences. Les valeurs habituelles sont de 1 à 6; des valeurs plus élevées ne sont pas recommandées et feront disparaître les copies dans les couches internes.
    • Les valeurs de axis et center sont des vecteurs qui décrivent la direction de l'axe de rotation et un point par lequel passe cet axe.
    • Si use_link est true, les copies créées seront App Links et non des copies régulières.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)

array = Draft.make_circular_array(tri, 1800, 1200, 4, 1)
doc.recompute()
Arrow-left.svg Page précédente : Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante : Link Array Draft LinkArray.svg Arrow-right.svg